summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ci/test.sh b/ci/test.sh
index 2b43ba198..da3c01c2f 100755
--- a/ci/test.sh
+++ b/ci/test.sh
@@ -17,6 +17,7 @@ TMPDIR=${TMPDIR:-/tmp}
USER=${USER:-$(whoami)}
SUCCESS=1
+CONTINUE_ON_FAILURE=0
cleanup() {
echo "Cleaning up..."
@@ -64,6 +65,10 @@ run_test() {
done
if [ "$FAILED" -ne 0 ]; then
+ if [ "$CONTINUE_ON_FAILURE" -ne 1 ]; then
+ exit 1
+ fi
+
SUCCESS=0
fi
}